summaryrefslogtreecommitdiffstats
path: root/office/xpad
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 22:26:14 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:26:14 +0200
commitaacb7196d396380dc06723d9eb41c132cb16fe3b (patch)
tree692e90661121b33c4265364bb6b647fd0916c0e5 /office/xpad
parent213991207a385f866860fdd33ecccbc05915ba2d (diff)
downloadslackbuilds-aacb7196d396380dc06723d9eb41c132cb16fe3b.tar.gz
slackbuilds-aacb7196d396380dc06723d9eb41c132cb16fe3b.tar.xz
office/xpad: Updated for version 2.14
Diffstat (limited to 'office/xpad')
-rw-r--r--office/xpad/README6
-rw-r--r--office/xpad/doinst.sh4
-rw-r--r--office/xpad/slack-desc2
-rw-r--r--office/xpad/xpad.SlackBuild35
-rw-r--r--office/xpad/xpad.info10
5 files changed, 36 insertions, 21 deletions
diff --git a/office/xpad/README b/office/xpad/README
index cec50ab3bc..23943b3b6b 100644
--- a/office/xpad/README
+++ b/office/xpad/README
@@ -1,3 +1,3 @@
-Xpad is a sticky note application written using GTK+ 2.0 that strives to be
-simple, fault-tolerant, and customizable. Xpad consists of independent pad
-windows; each is basically a text box in which notes can be written.
+Xpad is a sticky note application written using GTK+ 2.0 that strives to
+be simple, fault-tolerant, and customizable. Xpad consists of independent
+pad windows; each is basically a text box in which notes can be written.
diff --git a/office/xpad/doinst.sh b/office/xpad/doinst.sh
index 98d466d8b9..854e20633d 100644
--- a/office/xpad/doinst.sh
+++ b/office/xpad/doinst.sh
@@ -1,3 +1,3 @@
-if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/office/xpad/slack-desc b/office/xpad/slack-desc
index fbf06e46f3..3bcad8ab9f 100644
--- a/office/xpad/slack-desc
+++ b/office/xpad/slack-desc
@@ -16,4 +16,4 @@ xpad:
xpad: Homepage: http://xpad.sourceforge.net/
xpad:
xpad:
-xpad: \ No newline at end of file
+xpad:
diff --git a/office/xpad/xpad.SlackBuild b/office/xpad/xpad.SlackBuild
index 787a239ec6..272cf2674d 100644
--- a/office/xpad/xpad.SlackBuild
+++ b/office/xpad/xpad.SlackBuild
@@ -2,58 +2,73 @@
# Slackware build script for xpad
-# Written by Frank Caraballo <fecaraballo[AT]gmail.com>
+# Written by Frank Caraballo <fecaraballo{at}gmail{dot}com>
# No Guarantees. Use this SlackBuild at your own risk.
# Modified by the SlackBuilds.org project
PRGNAM=xpad
-VERSION=2.12
+VERSION=2.14
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS=${PDOCS:-AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO}
+DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvjf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION || exit 1
+
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var/lib \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --enable-debug=no \
|| exit 1
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
-find $PKG/usr/man -type f -exec gzip -9 {} \;
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/xpad/xpad.info b/office/xpad/xpad.info
index 90b988ca09..760597d2a2 100644
--- a/office/xpad/xpad.info
+++ b/office/xpad/xpad.info
@@ -1,8 +1,8 @@
PRGNAM="xpad"
-VERSION="2.12"
+VERSION="2.14"
HOMEPAGE="http://xpad.sourceforge.net/"
-DOWNLOAD="http://dl.sourceforge.net/xpad/xpad-2.12.tar.bz2"
-MD5SUM="2d469030c818ca03811ae0827073b59e"
+DOWNLOAD="http://downloads.sourceforge.net/xpad/xpad-2.14.tar.bz2"
+MD5SUM="1e12e6aec8f03a656eb6427ba22c38d3"
MAINTAINER="Frank Caraballo"
-EMAIL="fecaraballo[AT]gmail.com"
-APPROVED="rworkman"
+EMAIL="<fecaraballo{at}gmail{dot}com>"
+APPROVED="David SOmero" \ No newline at end of file